#ifndef __COM_IF_VSYS_H__
#define __COM_IF_VSYS_H__

#ifdef __cplusplus
extern "C" {
#endif


typedef enum
{
    COM_TASK_EVENT,
    COM_TASK_RAK_PROTOCOL,

    COM_TASK_RAK_SENSOR,
    COM_TASK_RAK_CLI,
    COM_TASK_HALLSNSNR,
    COM_TASK_SERV,
    COM_USER_EVENT,
    COM_TASK_RAK_SENSOR_ADVC,
    COM_TASK_RAK_MODBUS,
    COM_TASK_RAK_SDI12,
    COM_TASK_RAK_ADC,
    COM_TASK_RAK_DIO,
    COM_TASK_RAK_NBIOT,
    COM_TASK_RAK_TRANSPARENT,
    COM_TASK_RAK_IOCONTROL,
    COM_TASK_RAK_RS232,
    COM_TASK_RAK_LDO,
    COM_TASK_RAK_RADIO,
} COM_TASK_ID_E;


#ifdef __cplusplus
}
#endif

#endif
